#  
# spec file for package horde-sam (Version 0.1)
#  
  
# norootforbuild  
  
%define _pversion	0.1
%define _pname 		sam
Name:           horde-sam
%if 0%{?suse_version} >= 1010 || 0%{?sles_version} >= 10 
%define _phpdir php5
%define _apxs   /usr/sbin/apxs2
BuildRequires:	apache2-devel
Requires:       mod_php_any
%endif
%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0 || 0%{?sles_version} == 9
%define _phpdir php
%define _apxs   /usr/sbin/apxs2
BuildRequires:	apache2-devel
Requires:       mod_php_any
%endif 

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%define _phpdir php
%define _apxs   /usr/sbin/apxs
BuildRequires:	httpd-devel
Requires:       mod_php
%endif

License:        GPL v2 or later  
Group:          Productivity/Networking/Web/Utilities  
BuildRequires:	horde-webmail
Requires:       horde-webmail

Version:	0.1
Release:	5.4
Source0:	%{_pname}.tar.bz2
URL:		http://www.horde.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build  
BuildArch:      noarch
AutoReqProv:	off
Summary:	Horde Groupware Webmail Edition

%description
Horde Groupware Webmail Edition is a free, enterprise ready, browser based
communication suite. Users can read, send and organize email messages and
manage and share calendars, contacts, tasks and notes with the standards
compliant components from the Horde Project.

%define serverroot %(%{_apxs} -q datadir)/htdocs/
%define apache_horde      %{serverroot}/horde
%debug_package
%prep
%setup -q -n %{_pname}

%build
: if the following command fails, then apache dependencies are not met
%{_apxs} -q datadir >/dev/null  
cd config  
for i in *.dist; do %__cp $i ${i%.dist}; done
 
%install
%__mkdir_p %{buildroot}%{apache_horde}/sam
%__cp -r ./* %{buildroot}%{apache_horde}/sam/
cd %{buildroot}%{apache_horde}/sam
%__rm -rf docs po COPYING README README*

%clean  
%__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYING docs
%dir %{apache_horde}/sam
%attr(0640, wwwrun, www) %config(noreplace) %{apache_horde}/sam/config/*.php
%{apache_horde}/sam

%changelog
* Thu Dec 17 2009 Carsten Schoene <cs@linux-administrator.com> - 0.1-3
- update to current CVS

* Sun Oct 12 2008 Carsten Schoene <cs@linux-administrator.com> - 0.1-1
- initial package
